## solr 0.1.0

=== DESCRIPTION ===
Package: solr
Title: General purpose R interface to Solr
Description: This package provides a set of functions for querying and parsing
    data from Solr endpoints (local and remote), including search, faceting,
    highlighting, stats, and 'more like this'.
Version: 0.1.0
Date: 2013-12-31
Authors@R: person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com")
Depends: R (>= 3.0.2)
License: MIT + file LICENSE
URL: https://github.com/ropensci/solr
BugReports: http://www.github.com/ropensci/solr/issues
LazyLoad: true
LazyData: true
VignetteBuilder: knitr
Imports: plyr, httr, XML, data.table, assertthat, rjson
Suggests: testthat, roxygen2, knitr
Packaged: 2013-12-31 16:09:11 UTC; scottmac2
Author: Scott Chamberlain [aut, cre]
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-12-31 18:25:00

## solr 0.1.4

=== DESCRIPTION ===
Package: solr
Title: General purpose R interface to Solr
Description: This package provides a set of functions for querying and parsing
    data from Solr endpoints (local and remote), including search, faceting,
    highlighting, stats, and 'more like this'.
Version: 0.1.4
Date: 2014-03-14
Authors@R: person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com")
License: MIT + file LICENSE
URL: https://github.com/ropensci/solr
BugReports: http://www.github.com/ropensci/solr/issues
LazyLoad: true
LazyData: true
VignetteBuilder: knitr
Imports: plyr, httr, XML, assertthat, rjson
Suggests: testthat, roxygen2, knitr
Packaged: 2014-03-14 16:57:18 UTC; sacmac
Author: Scott Chamberlain [aut, cre]
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-03-14 18:30:17

## solr 0.1.6

=== DESCRIPTION ===
Package: solr
Title: General Purpose R Interface to Solr
Description: Provides a set of functions for querying and parsing
    data from Solr endpoints (local and remote), including search, faceting,
    highlighting, stats, and 'more like this'.
Version: 0.1.6
Date: 2015-09-17
Authors@R: person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com")
License: MIT + file LICENSE
URL: https://github.com/ropensci/solr
BugReports: http://www.github.com/ropensci/solr/issues
LazyLoad: true
LazyData: true
VignetteBuilder: knitr
Imports: methods, utils, plyr, httr, XML, assertthat, rjson
Suggests: testthat, roxygen2, knitr
NeedsCompilation: no
Packaged: 2015-09-17 19:11:29 UTC; sacmac
Author: Scott Chamberlain [aut, cre]
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2015-09-17 22:50:16

## solr 1.4.0+ds1

=== debian/changelog ===
solr (1.4.0+ds1-1ubuntu1) lucid; urgency=low

  * Merge from debian testing (LP: #321889)
  * debian/control, debian/use-debian-java-libraries.diff: Switch to
    libgnumail-java for JavaMail.

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Mon, 22 Mar 2010 09:48:09 +0100

solr (1.4.0+ds1-1) unstable; urgency=low

  * New upstream release (1.4.0). Closes: #559143.
  * Switched packaging to GIT. Closes: #540756.
  * Build with newest lucene version. Closes: #540756.
  * New version obsoletes Dependency bug. Closes: #521009.
  * Added japanese translation. Thanks to Hideki Yamane. Closes: #554110.
  * New Solr version builds with Lucene 2.9. Closes: #560611.
  * solr-jetty works now. Did it ever work?

 -- Thomas Koch <thomas.koch@ymc.ch>  Thu, 11 Feb 2010 15:05:54 +0100

solr (1.3.0+ds1-2) unstable; urgency=low

  * Moved Debian packaging source repository to git.

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Wed, 12 Aug 2009 11:36:53 +0200

solr (1.3.0+ds1-1) unstable; urgency=low

  * New upstream release (1.3.0). Closes: #521009.
  * Removed dependency on javanet staxutils (see upstream issue SOLR-851).
  * Disable unit tests that need network access or otherwise break on buildds. 
    Closes: #534031.
  * Change Section: to java.
  * Fix Tomcat policy for Solr 1.3.0.
  * Bump Standards-Version to 3.8.2 (no changes needed).
  * Rename solr-tomcat6 package to solr-tomcat.
  * Re-enable solr-jetty package now that Jetty6 is in sid.
  * Update watch file to automatically repackage source
  * Convert debian/copyright to machine-readable version

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Sun, 09 Aug 2009 13:40:18 +0200

solr (1.2.0+ds2-6) unstable; urgency=low

  * Update dependency from tomcat5.5 to tomcat6. Closes: #526259.
  * Bump Standards-Version to 3.8.1 (no changes needed).
  * Remove dpkg-statoverride stuff from solr-tomcat6.postinst. It's not needed
    and does not work.

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Tue, 23 Jun 2009 15:37:07 +0200

solr (1.2.0+ds2-5) unstable; urgency=low

  * Use tomcat.policy symlink in original direction and have symlink 
    set by maintainer scripts to prevent problems with solr upgrades. 
    Closes: #516288.
  * Have solr-tomcat5.5 depend on solr-common with the exact same version
    to prevent later problems.

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Fri, 27 Feb 2009 22:47:55 +0100

solr (1.2.0+ds2-4) unstable; urgency=low

  * Updated watch file
  * Add ${misc:Depends} to debian/control to take into account indirect
    dependencies from debhelper
  * Added depenency on libxpp3-java (typo in control file, closes: #483261).
  * Moved /etc/solr/tomcat.policy to /etc/tomcat5.5/policy.d/ and reversed
    symlink. Closes: #515945.
  * Remove /etc/tomcat5/policy.d from solr-tomcat5.5.

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Thu, 19 Feb 2009 20:48:07 +0100

solr (1.2.0+ds2-3) unstable; urgency=low

  * Update Galician translations in gl.po (closes: 513148).
  * Update to compile with Lucene 2.4.

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Wed, 28 Jan 2009 13:30:55 +0100

solr (1.2.0+ds2-2) unstable; urgency=low

  * Fix Swedish translation of debconf messages by renaming se.po to sv.po
    (closes: #483416).
  * Added DM-Upload-Allowed: yes to debian/control
  * Restricted dependency on liblucene2-java to version << 2.4.0

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Mon, 13 Oct 2008 11:54:46 +0200

solr (1.2.0+ds2-1) unstable; urgency=low

  * New (fake) upstream version to work around a bug in dak.

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Mon, 08 Sep 2008 16:00:54 +0200

solr (1.2.0+ds1-4) unstable; urgency=low

  * Build with OpenJDK, move to main
  * Update debian/copyright, refer to Apache 2.0 license in common-licenses
  * Bump Standards-Version to 3.8.0
  * Do not create unused directory /usr/share/tomcat5.5/conf/Catalina/localhost
  * Install Solr docs from debian/rules instead of from debian/docs; remove
    a few empty directories
  * Do not compress .js, .xslt and .xsl files under doc/
  * Update Debian README for the removal of solr-jetty; renamed to
    README.Debian
  * Added Swedish translation of debconf messages (closes: #483416).

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Wed, 20 Aug 2008 20:25:03 +0200

solr (1.2.0+ds1-3) unstable; urgency=low

  * Updated control file for new Vcs-* and Homepage fields
  * Removed solr-jetty binary package since the jetty package 
    has been removed from Lenny
  * Update to Lucene 2.3

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Tue, 22 Apr 2008 17:08:50 +0200

solr (1.2.0+ds1-2) unstable; urgency=low

  * Run unit tests during build (closes: #441890).
  * Rename /usr/share/solr/bin directory to /usr/share/solr/scripts, since
    this directory contains only scripts.
  * Install link to config file in /etc/tomcat5.5/Catalina/localhost because
    this is the new location in recent Tomcat packaging.
  * Remove portions of the copyright file that referred to libraries that are
    not shipped with the Debian package for Solr.
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. (closes: #444655).
  * Add Portuguese translation of debconf messages (closes: #442306, #445351).
  * Add Tamil translation of debconf messages (closes: #445284).
  * Add Czech translation of debconf messages (closes: #445652).
  * Add Finnish translation of debconf messages (closes: #445701).
  * Add Russian translation of debconf messages (closes: #446140).
  * Add German translation of debconf messages (closes: #446284).
  * Add Galician translation of debconf messages (closes: #446607).
  * Add Vietnamese translation of debconf messages (closes: #446986).
  * Add Brazilian Portuguese translation of debconf messages (closes: #447091).
  * Add French translation of debconf messages (closes: #447223).

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Mon, 26 Nov 2007 12:02:17 +0100



=== debian/control ===
Source: solr
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Jan-Pascal van Best <janpascal@vanbest.org>, Thomas Koch <thomas.koch@ymc.ch>
DM-Upload-Allowed: yes
Homepage: http://lucene.apache.org/solr/
Vcs-Browser: http://git.debian.org/?p=pkg-java/solr.git
Vcs-Git: git://git.debian.org/git/pkg-java/solr.git
Standards-Version: 3.8.4
Build-Depends: cdbs, debhelper (>= 7.4.10), po-debconf,
 default-jdk,
 ant (>= 1.7.0), ant-optional (>= 1.7.0), 
 libcommons-codec-java (>= 1.4),
 libcommons-csv-java (>= 0.1-SNAPSHOT+svn678580),
 libcommons-fileupload-java (>= 1.2.1),
 libcommons-httpclient-java (>= 3.1),
 libcommons-io-java (>= 1.4),
 libjaxp1.3-java (>= 1.3.04),
 libjetty-java (>= 6.1.21),
 liblucene2-java (>= 2.9.1),
 libservlet2.5-java (>= 6.0.20),
 libslf4j-java (>= 1.5.10),
 libxml-commons-external-java (>= 1.3.04),
 libgnumail-java,
 junit4,
 libjmock-java

Package: solr-common
Architecture: all
Depends: ${misc:Depends},
 debconf (>= 1.5),
 openjdk-6-jre-headless | java5-runtime-headless | java6-runtime-headless,
 libcommons-codec-java (>= 1.4),
 libcommons-csv-java (>= 0.1-SNAPSHOT+svn678580),
 libcommons-fileupload-java (>= 1.2.1),
 libcommons-httpclient-java (>= 3.1),
 libcommons-io-java (>= 1.4),
 libjaxp1.3-java (>= 1.3.04),
 libjetty-java (>= 6.1.21),
 liblucene2-java (>= 2.9.1),
 libservlet2.5-java (>= 6.0.20),
 libslf4j-java (>= 1.5.10),
 libxml-commons-external-java (>= 1.3.04),
Recommends: solr-tomcat (>= ${binary:Version}) | solr-jetty (>= ${binary:Version})
Suggests: libmysql-java
Description: enterprise search server based on Lucene - common files
 Solr is an open source enterprise search server based on the Lucene 
 Java search library, with XML/HTTP and JSON APIs, hit highlighting, 
 faceted search, caching, replication, and a web administration 
 interface. It runs in a Java servlet container such as Tomcat.
 .
 This package provides the common files for Solr. Install
 solr-tomcat or solr-jetty to use Solr under Tomcat or Jetty.
 .
 This package also contains the dataimporthandler contrib while omiting
 dataimporthandler-extras, clustering, extraction and velocity due to missing
 dependencies.
 .
 libmysql-java is necessary to connect the dataimporthandler to MySQL.

Package: solr-tomcat
Architecture: all
Depends: ${misc:Depends}, solr-common (= ${binary:Version}), tomcat6 (>= 6.0.20)
Conflicts: solr-jetty, solr-tomcat6
Description: enterprise search server based on Lucene - Tomcat integration
 Solr is an open source enterprise search server based on the Lucene 
 Java search library, with XML/HTTP and JSON APIs, hit highlighting, 
 faceted search, caching, replication, and a web administration 
 interface. It runs in a Java servlet container such as Tomcat.
 .
 This package provides the Tomcat integration files for Solr. 

Package: solr-jetty
Architecture: all
Depends: ${misc:Depends}, solr-common (= ${binary:Version}), jetty (>= 6.1.22),
 libjetty-extra-java (>= 6.1.22)
Conflicts: solr-tomcat
Description: enterprise search server based on Lucene - Jetty integration
 Solr is an open source enterprise search server based on the Lucene 
 Java search library, with XML/HTTP and JSON APIs, hit highlighting, 
 faceted search, caching, replication, and a web administration 
 interface. It runs in a Java servlet container such as Tomcat.
 .
 This package provides the Jetty integration files for Solr.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

CHANGESFILE = ../solr_$(DEB_VERSION)_$(DEB_BUILD_ARCH).changes

# Build with OpenJDK
JAVA_HOME = /usr/lib/jvm/default-java

# Set ant parameters
DEB_ANT_BUILD_TARGET = init-forrest-entities dist-solrj dist-jar dist-contrib compile make-manifest
#DEB_ANT_CHECK_TARGET = test
DEB_JARS = ant-junit junit4

DEB_INSTALL_CHANGELOGS_solr-common := CHANGES.txt

DEB_COMPRESS_EXCLUDE = .xsl .js .xslt

clean::
	rm -f debian/solr-keyring.gpg
	rm -rf src/test/test-files/solr/data
	rm -rf example/solr/data
	rm -rf example/multicore/core0/data
	rm -rf example/multicore/core1/data

check:
	lintian -i $(CHANGESFILE)
	linda -i $(CHANGESFILE)
	zgrep "^---" ../solr_$(DEB_VERSION).diff.gz | grep -v debian ; [ $$? != 0 ]
	( dpkg --contents ../solr-common_$(DEB_VERSION)_all.deb ; \
	  dpkg --contents ../solr-tomcat_$(DEB_VERSION)_all.deb ; \
	  dpkg --contents ../solr-jetty_$(DEB_VERSION)_all.deb ; \
	) | less

## solr 1.4.1+dfsg1

=== debian/changelog ===
solr (1.4.1+dfsg1-3) unstable; urgency=low

  [ Jan-Pascal van Best ]
  * Removed Jan-Pascal from uploaders.

  [ James Page ]
  * Added myself to uploaders.
  * Bumped Standards-Version to 3.9.3:
    - d/copyright: Referenced released version of DEP-5 and tidied up 
      obsolete field names.
  * Install utility scripts to correct location under ${solr.home}
    (Closes: #538229), create symlink for backwards compatibility.
  * Link /var/log/solr to ${solr.home}/logs.
  * Added Italian debconf translation (Closes: #659388). Thanks to Beatrice
    Torracca for this work.
  * Sync changes from Ubuntu and fix FTBFS with current versions of lucene
    (Closes: #593027).
  * Drop dependency on glassfish-mail, no longer required (Closes: #575208).
  * Pickup maintenance of this package until solr3/lucene3 supercedes it.
    (Closes: #652729, #674511).
  * Use default-jre-headless as primary runtime dependency for solr-common.
  * Removed Thomas Koch from uploaders, thanks for your work!

 -- James Page <james.page@ubuntu.com>  Fri, 25 May 2012 09:22:40 +0100

solr (1.4.1+dfsg1-2) unstable; urgency=low

  * Add lucene-memory.jar to WEB-INF/lib. Closes: #573156.
  * Increase depends version of libjaxp1.3-java. Closes: #575145.
  * add jcl-over-slf4j.jar to WEB-INF/lib. Closes: #605766.

 -- Thomas Koch <thomas@koch.ro>  Fri, 03 Dec 2010 11:09:05 +0100

solr (1.4.1+dfsg1-1) unstable; urgency=low

  * New upstream release (1.4.1). Closes: #602696.

 -- Thomas Koch <thomas@koch.ro>  Tue, 30 Nov 2010 11:19:37 +0100

solr (1.4.0+ds1-3) UNRELEASED; urgency=low

  * Add Danish debconf translation. (Closes: #597763)

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Fri, 24 Sep 2010 11:28:57 +0200

solr (1.4.0+ds1-2) unstable; urgency=low

  * Team upload.
  * Explicitely specify lucene_version in debian/ant.properties. (Closes:
    #577357)
  * Add spanish debconf translation. (Closes: #578614)

 -- Torsten Werner <twerner@debian.org>  Sat, 24 Apr 2010 09:18:07 +0200

=== debian/control ===
Source: solr
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: James Page <james.page@ubuntu.com>
DM-Upload-Allowed: yes
Homepage: http://lucene.apache.org/solr/
Vcs-Browser: http://git.debian.org/?p=pkg-java/solr.git
Vcs-Git: git://git.debian.org/git/pkg-java/solr.git
Standards-Version: 3.9.3
Build-Depends:
 ant (>= 1.7.0),
 ant-optional (>= 1.7.0),
 debhelper (>= 8),
 default-jdk,
 junit4,
 libcommons-codec-java (>= 1.4),
 libcommons-csv-java (>= 0.1-SNAPSHOT+svn678580),
 libcommons-fileupload-java (>= 1.2.1),
 libcommons-httpclient-java (>= 3.1),
 libcommons-io-java (>= 1.4),
 libjaxp1.3-java (>= 1.3.04),
 libjetty-java (>= 6.1.21),
 libjmock-java,
 liblucene2-java (>= 2.9.1),
 libservlet2.5-java (>= 6.0.20),
 libslf4j-java (>= 1.5.10),
 libxml-commons-external-java (>= 1.3.04),
 po-debconf

Package: solr-common
Architecture: all
Depends:
 curl,
 debconf (>= 1.5),
 libcommons-codec-java (>= 1.4),
 libcommons-csv-java (>= 0.1-SNAPSHOT+svn678580),
 libcommons-fileupload-java (>= 1.2.1),
 libcommons-httpclient-java (>= 3.1),
 libcommons-io-java (>= 1.4),
 libjaxp1.3-java (>= 1.3.05-1),
 libjetty-java (>= 6.1.21),
 liblucene2-java (>= 2.9.1),
 libservlet2.5-java (>= 6.0.20),
 libslf4j-java (>= 1.5.10),
 libxml-commons-external-java (>= 1.3.04),
 default-jre-headless | java5-runtime-headless | java6-runtime-headless,
 ${misc:Depends}
Recommends:
 solr-tomcat (>= ${binary:Version}) | solr-jetty (>= ${binary:Version})
Suggests: libmysql-java
Description: enterprise search server based on Lucene - common files
 Solr is an open source enterprise search server based on the Lucene
 Java search library, with XML/HTTP and JSON APIs, hit highlighting,
 faceted search, caching, replication, and a web administration
 interface. It runs in a Java servlet container such as Tomcat.
 .
 This package provides the common files for Solr. Install
 solr-tomcat or solr-jetty to use Solr under Tomcat or Jetty.
 .
 This package also contains the dataimporthandler contrib while omiting
 dataimporthandler-extras, clustering, extraction and velocity due to missing
 dependencies.
 .
 libmysql-java is necessary to connect the dataimporthandler to MySQL.

Package: solr-tomcat
Architecture: all
Depends: solr-common (= ${binary:Version}), tomcat6 (>= 6.0.20), ${misc:Depends}
Conflicts: solr-jetty, solr-tomcat6
Description: enterprise search server based on Lucene - Tomcat integration
 Solr is an open source enterprise search server based on the Lucene
 Java search library, with XML/HTTP and JSON APIs, hit highlighting,
 faceted search, caching, replication, and a web administration
 interface. It runs in a Java servlet container such as Tomcat.
 .
 This package provides the Tomcat integration files for Solr.

Package: solr-jetty
Architecture: all
Depends:
 jetty (>= 6.1.22),
 libjetty-extra-java (>= 6.1.22),
 solr-common (= ${binary:Version}),
 ${misc:Depends}
Conflicts: solr-tomcat
Description: enterprise search server based on Lucene - Jetty integration
 Solr is an open source enterprise search server based on the Lucene
 Java search library, with XML/HTTP and JSON APIs, hit highlighting,
 faceted search, caching, replication, and a web administration
 interface. It runs in a Java servlet container such as Tomcat.
 .
 This package provides the Jetty integration files for Solr.

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java/

%:
	dh $@

override_dh_auto_build:
	ant -propertyfile debian/ant.properties -Dversion=1.4.1 \
		init-forrest-entities dist-solrj dist-jar dist-contrib \
		compile make-manifest

##!/usr/bin/make -f
## -*- makefile -*-
##
#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/ant.mk
#
## Uncomment this to turn on verbose mode.
## export DH_VERBOSE=1
#
#CHANGESFILE = ../solr_$(DEB_VERSION)_$(DEB_BUILD_ARCH).changes
#
## Build with OpenJDK
#JAVA_HOME = /usr/lib/jvm/default-java
#
## Set ant parameters
#DEB_ANT_BUILD_TARGET = init-forrest-entities dist-solrj dist-jar dist-contrib compile make-manifest
##DEB_ANT_CHECK_TARGET = test
#DEB_JARS = ant-junit junit4
#
#DEB_INSTALL_CHANGELOGS_solr-common := CHANGES.txt
#
#DEB_COMPRESS_EXCLUDE = .xsl .js .xslt
#
#clean::
#	rm -f debian/solr-keyring.gpg
#	rm -rf src/test/test-files/solr/data
#	rm -rf example/solr/data
#	rm -rf example/multicore/core0/data
#	rm -rf example/multicore/core1/data
#
#check:
#	lintian -i $(CHANGESFILE)
#	linda -i $(CHANGESFILE)
#	zgrep "^---" ../solr_$(DEB_VERSION).diff.gz | grep -v debian ; [ $$? != 0 ]
#	( dpkg --contents ../solr-common_$(DEB_VERSION)_all.deb ; \
#	  dpkg --contents ../solr-tomcat_$(DEB_VERSION)_all.deb ; \
#	  dpkg --contents ../solr-jetty_$(DEB_VERSION)_all.deb ; \
#	) | less

=== debian/watch ===
version=3

opts=dversionmangle=s/\.dfsg\.\d+$// \
  http://archive.apache.org/dist/lucene/solr/(?:[\d\.]+)/apache-solr-(.*).tgz \
  debian

## solr 7.4.0+cdh6.3.0

=== debian/changelog ===
solr (7.4.0+cdh6.3.0-1279813.meta1) stable; urgency=medium

  * Packaging for MetaCentrum.

 -- František Dvořák <valtri@civ.zcu.cz>  Wed, 28 Aug 2019 15:17:50 +0200

solr (7.4.0+cdh6.3.0-1279813) cloudera; urgency=medium

  * Please see git repos.

 -- MAINTAINER <jenkins@cldrn-ub1604-ec2-c5d-18xlarge-spotblk-0483.vpc.cloudera.com>  Thu, 18 Jul 2019 10:17:57 -0700

=== debian/control ===
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

Source: solr
Section: misc
Priority: extra
Maintainer: Cloudera Inc. <https://issues.cloudera.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.0
Homepage: http://lucene.apache.org/solr

Package:  solr
Architecture: all
Depends: bigtop-utils (>= 0.7), hadoop, hadoop-hdfs, sentry (>= 1.3.0+cdh6.0.0), zookeeper, curl, ant
Description: Apache Solr is the popular, blazing fast open source enterprise search platform
 Solr is the popular, blazing fast open source enterprise search platform from
 the Apache Lucene project. Its major features include powerful full-text 
 search, hit highlighting, faceted search, dynamic clustering, database 
 integration, rich document (e.g., Word, PDF) handling, and geospatial search. 
 Solr is highly scalable, providing distributed search and index replication, 
 and it powers the search and navigation features of many of the world's 
 largest internet sites.
 .
 Solr is written in Java and runs as a standalone full-text search server within
 a servlet container such as Jetty. Solr uses the Lucene Java search library at
 its core for full-text indexing and search, and has REST-like HTTP/XML and JSON
 APIs that make it easy to use from virtually any programming language. Solr's
 powerful external configuration allows it to be tailored to almost any type of
 application without Java coding, and it has an extensive plugin architecture 
 when more advanced customization is required.

Package:  solr-server
Architecture: all
Depends: solr (= ${source:Version})
Description: The Solr server
 This package starts the Solr server on startup

Package: solr-doc
Architecture: all
Section: doc
Description: Documentation for Apache Solr
 Documentation for Apache Solr

=== debian/rules ===
#!/usr/bin/make -f
export COMPONENT_HASH=ea316e8624678b3acedf56c156b884efa600016d
 LUCENE_SOLR_VERSION=7.4.0+cdh6.3.0
 LUCENE_SOLR_PATCHED_VERSION=7.4.0-cdh6.3.0
 LUCENE_SOLR_BASE_VERSION=7.4.0
 LUCENE_SOLR_RELEASE=1279813
 CDH_CUSTOMER_PATCH=p0
 CDH_PARCEL_CUSTOM_VERSION=7.4.0+cdh6.3.0-1279813.bionic
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@

override_dh_auto_build:
	# we'll just use the build from the tarball.
	env FULL_VERSION=${LUCENE_SOLR_PATCHED_VERSION} bash -x debian/do-component-build

override_dh_auto_install:
	bash -x debian/install_solr.sh \
	  --build-dir=solr/build/solr-${LUCENE_SOLR_PATCHED_VERSION} \
	  --doc-dir=/usr/share/doc/solr-doc \
	  --distro-dir=debian \
	  --prefix=debian/tmp
	install -d -m 0755 debian/tmp/etc/init.d
	cp debian/solr-server.init.debian debian/tmp/etc/init.d/solr-server
	chmod 755 debian/tmp/etc/init.d/solr-server

override_dh_installchangelogs:
	dh_installchangelogs -Xchanges

override_dh_compress:
	dh_compress -Xusr/share/doc/solr-doc

override_dh_builddeb:
	dh_builddeb -- -Zgzip

override_dh_strip_nondeterminism:
	# Disable dh_strip_nondeterminism to speed up the build

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## solr 7.4.0+cdh6.3.2

=== debian/changelog ===
solr (7.4.0+cdh6.3.2-1605554) cloudera; urgency=medium

  * Please see git repos.

 -- MAINTAINER <jenkins@cldrn-ub1604-ec2-c5d-18xlarge-spotblk-10a0.vpc.cloudera.com>  Fri, 08 Nov 2019 06:07:40 -0800

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 Package:  solr
 Architecture: all
-Depends: bigtop-utils (>= 0.7), hadoop, hadoop-hdfs, sentry (>= 1.3.0+cdh6.0.0), zookeeper, curl, ant
+Depends: bigtop-utils (>= 0.7), hadoop, hadoop-hdfs, sentry (>= 1.3.0+cdh6.0.0), zookeeper, curl
 Description: Apache Solr is the popular, blazing fast open source enterprise search platform
  Solr is the popular, blazing fast open source enterprise search platform from
  the Apache Lucene project. Its major features include powerful full-text

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
-export COMPONENT_HASH=ea316e8624678b3acedf56c156b884efa600016d
- LUCENE_SOLR_VERSION=7.4.0+cdh6.3.0
- LUCENE_SOLR_PATCHED_VERSION=7.4.0-cdh6.3.0
+export COMPONENT_HASH=d43be260a3ef7381d826572379ff827e7abf4d5f
+ LUCENE_SOLR_VERSION=7.4.0+cdh6.3.2
+ LUCENE_SOLR_PATCHED_VERSION=7.4.0-cdh6.3.2
  LUCENE_SOLR_BASE_VERSION=7.4.0
- LUCENE_SOLR_RELEASE=1279813
+ LUCENE_SOLR_RELEASE=1605554
  CDH_CUSTOMER_PATCH=p0
- CDH_PARCEL_CUSTOM_VERSION=7.4.0+cdh6.3.0-1279813.bionic
+ CDH_PARCEL_CUSTOM_VERSION=7.4.0+cdh6.3.2-1605554.bionic
 #
 # Licensed to the Apache Software Foundation (ASF) under one or more
 # contributor license agreements.  See the NOTICE file distributed with
